export class ExpressionParser {
    static parseJson(json) {
        const expression = com.mapbox.mapboxsdk.style.expressions.Expression.Converter.convert(JSON.stringify(json));
        return expression;
    }
    static toJson(filter) {
        if (!filter) {
            return null;
        }
        if (!(filter instanceof com.mapbox.mapboxsdk.style.expressions.Expression)) {
            throw new Error('Filter must be a Expression.');
        }
        return JSON.parse(filter.toString());
    }
}
//# sourceMappingURL=expression-parser.android.js.map