import { LayerCommon, LayerType } from "../common";
export declare class Layer implements LayerCommon {
    id: string;
    private instance;
    constructor(instance: any);
    visibility(): boolean;
    show(): void;
    hide(): void;
    getNativeInstance(): any;
    setFilter(filter: any[]): void;
    getFilter(): any[];
    setProperty(name: string, value: any): void;
    getProperty(name: string): any;
    type(): LayerType;
}
export declare class LayerFactory {
    static createLayer(style: any, source: any): Promise<LayerCommon>;
    private static parseProperties;
}
